javax.xml.registry.infomodel

## Interface ExternalIdentifier

- All Superinterfaces:
    ExtensibleObject, RegistryObject

      public interface ExternalIdentifier
      extends RegistryObject

  ExternalIdentifier instances provide the additional identifier information to RegistryObjects such as DUNS number, Social Security Number, or an alias name of the organization. The attribute name inherited from RegistryObject is used to contain the identification scheme ("DUNS" "Social Security Number", etc.), and the attribute value contains the actual information (e.g. the actual DUNS number). Each RegistryObject may have 0 or more ExternalIdentifiers.
  Author:
    Farrukh S. Najmi
  See Also:
    `RegistryObject`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassificationScheme` | `getIdentificationScheme()` Gets the ClassificationScheme that is used as the identification scheme for identifying this object.
    `RegistryObject` | `getRegistryObject()` Gets the parent RegistryObject for this ExternalIdentifier.
    `String` | `getValue()` Gets the value of an ExternalIdentifier.
    `void` | `setIdentificationScheme(ClassificationScheme identificationScheme)` Sets the ClassificationScheme that is used as the identification scheme for identifying this object.
    `void` | `setValue(String value)` Sets the value of an ExternalIdentifier.

    - ### Methods inherited from interface javax.xml.registry.infomodel.RegistryObject

      `addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

    - ### Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject

      `addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

- - ### Method Detail

    - #### getRegistryObject

          RegistryObject getRegistryObject()
                                           throws JAXRException

      Gets the parent RegistryObject for this ExternalIdentifier. To set the registryObject call addExternalIdentifier on a RegistryObject.

      Capability Level: 0
      Returns:
        the RegistryObject that this object identifies
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error
      See Also:
        `RegistryObject.addExternalIdentifier(ExternalIdentifier ei)`

    - #### getValue

          String getValue()
                          throws JAXRException

      Gets the value of an ExternalIdentifier.

      Capability Level: 0
      Returns:
        the identification value defined by this object (e.g. a company's DUNS number)
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setValue

          void setValue(String value)
                        throws JAXRException

      Sets the value of an ExternalIdentifier.

      Capability Level: 0
      Parameters:
        `value` - the identification value defined by this object (e.g. a company's DUNS number)
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### getIdentificationScheme

          ClassificationScheme getIdentificationScheme()
                                                       throws JAXRException

      Gets the ClassificationScheme that is used as the identification scheme for identifying this object.

      Capability Level: 0
      Returns:
        the ClassificationScheme that is used as the identification scheme (e.g. "DUNS")
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

    - #### setIdentificationScheme

          void setIdentificationScheme(ClassificationScheme identificationScheme)
                                       throws JAXRException

      Sets the ClassificationScheme that is used as the identification scheme for identifying this object.

      Capability Level: 0
      Parameters:
        `identificationScheme` - the ClassificationScheme that is used as the identification scheme (e.g. "DUNS")
      Throws:
        `JAXRException` - If the JAXR provider encounters an internal error

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.